Doctrine.Common - Bug # 44479

Status: Resolved Priority: Must have

Author: Michael Klapper Category:

Created: 2013-01-12 Assigned To: Karsten Dambekalns
Updated: 2014-07-17 Due date:

Subiject: [Annotations] Introduce doctrine/annotations dependency

Description

The latest commit breaks the system.
https://github.com/doctrine/common/commit/185e6d76765fe37ddb1a94aad8f51d97¢c92b0649

/flow helpPHP Fatal error: Doctrine\Common\Annotations\AnnotationRegistry::registerFile(): Failed opening required
'lvar/www/name/Data/Temporary/Development/Cache/Code/Flow_Object_Classes/Annotation/IlgnoreAnnotation.php’
(include_path=".:/usr/share/php:/usr/share/pear’) in
/var/www/name/Packages/Libraries/doctrine/annotations/lib/Doctrine/Common/Annotations/AnnotationRegistry.php on line 59

History

#1 - 2013-01-15 09:26 - Carsten Bleicker

sebastian kurfuerst told me:

"as workaround, you can just add the version 2.3.1 of doctrine-packages to your global composer.json.
add it to the top-level composer.json of your distribution.

doctrine-orm: 2.3.2

and same for doctrine-dbal and doctrine-common"

#2 - 2013-01-15 09:39 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To set to Karsten Dambekalns

When do you get this error? Flow master/2.0 does not use this package anymore, and if you are using 1.1 no new Doctrine code should appear in

these packages, obviously. Please give me more details on your setup!

#3 - 2013-01-15 09:46 - Carsten Bleicker

Karsten Dambekalns wrote:

When do you get this error? Flow master/2.0 does not use this package anymore, and if you are using 1.1 no new Doctrine code should appear in

these packages, obviously. Please give me more details on your setup!

i just installed with: composer create-project --dev --stability dev typo3/flow-base-distribution flow

but also happens with --stability beta.

after this i set filepermission and runing ./flow3 help

wich throws this error.

the error also appears in the frontend view.

#4 - 2013-01-15 09:57 - Peter Rauber
https://github.com/doctrine/common/commit/185e6d76765fe37ddb1a94aad8f51d97c92b0649

Carsten Bleicker wrote:

Karsten Dambekalns wrote:

When do you get this error? Flow master/2.0 does not use this package anymore, and if you are using 1.1 no new Doctrine code should appear
in these packages, obviously. Please give me more details on your setup!

i just installed with: composer create-project --dev --stability dev typo3/flow-base-distribution flow
but also happens with --stability beta.

after this i set filepermission and runing ./flow3 help

wich throws this error.

the error also appears in the frontend view.

Exactly same happens here in all of these cases:
composer create-project --dev --stability beta typo3/flow-base-distribution
composer create-project --dev --keep-vcs typo3/flow-base-distribution tutorial 2.0.0

composer create-project --dev --keep-vcs typo3/flow-base-distribution flow.demo 2.0.0-beta1

#5 - 2013-01-15 10:00 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 2.0

Ah, my fault. It git fixed for master yesterday, but | forgot about 2.0 (or rather, a check on my side was obviously wrong).

#6 - 2013-01-15 10:08 - Karsten Dambekalns
- Status changed from Accepted to Under Review

See https://review.typo3.org/17533

#7 - 2013-01-15 10:09 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#8 - 2013-01-15 10:24 - Michael Klapper

Carsten Bleicker wrote:
sebastian kurfuerst told me:
"as workaround, you can just add the version 2.3.1 of doctrine-packages to your global composer.json.
add it to the top-level composer.json of your distribution.

doctrine-orm: 2.3.2

and same for doctrine-dbal and doctrine-common”

Thank you, as workaround | already used "doctrine/common” => "2.3.0" in top of the composer required section which worked fine.
https://review.typo3.org/17533

#9 - 2014-07-17 12:06 - Christian Muller
- Target version deleted (2.0)
